API usage
An API call costs the same as the equivalent search in the web UI: most searches cost 1 credit, a WHOIS search costs 3, and a favicon search costs 5 (see Credits). The Profundis API allows you to easily query our search engine and interconnect your own workflow and tools with it.
Using the API requires a paid plan (Professional or Enterprise), or a Free account with purchased credits. You cannot create a token on a Free account that has only its monthly credit allocation, so a brand-new Free account cannot use the API.
The OpenAPI documentation is available here.
Before using the example commands below, define your API key in a variable. Replace xxx by the correct value. See how to retrieve your API key here.
API_KEY=xxx
Hosts search
The following query performs a search and retrieves all the available information.
curl "https://api.profundis.io/api/v2/common/data/hosts" \
-H "X-API-KEY: $API_KEY" \
-H "content-type: application/json" \
-X POST \
-d '{
"raw_query": "host:*.com",
"include": "all",
"aggregate": false,
"results_per_page": 50,
"page": 1
}'
In the body, raw_query is your search query, include is all or a comma-separated list of fields to return, results_per_page is 10, 30 or 50, and page starts at 1. Keep aggregate set to false for normal row results.
You can filter the type of information you want to retrieve. Notice the host,resolution,port below.
curl "https://api.profundis.io/api/v2/common/data/hosts" \
-H "X-API-KEY: $API_KEY" \
-H "content-type: application/json" \
-X POST \
-d '{
"raw_query": "host:*.com",
"include": "host,resolution,port",
"aggregate": false,
"results_per_page": 50,
"page": 1
}'
DNS search
The following command performs a DNS search through the Profundis API.
curl "https://api.profundis.io/api/v2/common/data/dns" \
-H "X-API-KEY: $API_KEY" \
-H "content-type: application/json" \
-X POST \
-d '{
"raw_query": "host:*.com",
"include": "all",
"aggregate": false,
"results_per_page": 50,
"page": 1
}'
OpenAPI documentation
To get the complete list of API endpoints, you can download the OpenAPI file as json or yaml.